Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 166918 - ypserv and mountd sometimes fails to start during boot up
Summary: ypserv and mountd sometimes fails to start during boot up
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 4
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-27 18:55 UTC by Alexandre Oliva
Modified: 2008-08-02 23:40 UTC (History)
3 users (show)

Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-19 10:37:49 UTC


Attachments (Terms of Use)

Description Alexandre Oliva 2005-08-27 18:55:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8b3) Gecko/20050818 Fedora/1.1-0.2.7.deerpark.alpha2.1 Firefox/1.0+

Description of problem:
Ever since I switched a lab server at the uni from FC3 to FC4, both running `everything' installs, the nis server would sometimes fail to start after reboots.  /var/log/messages contains hints as to what caused the problem:

Aug 27 11:49:31 emilia ypserv[1962]: ypserv: unable to register (YPPROG, YPOLDVERS, tcp)
Aug 27 11:49:31 emilia portmap[1970]: connect from 127.0.0.1 to set(ypserv): request from unprivileged port
Aug 27 11:50:26 emilia ypbind[1974]: broadcast: RPC: Timed out.

but it doesn't explain why ypserv would have bound itself to an unprivileged port to request portmap registration.  Could it be that it's temporarily run out of privileged ports or something like that?

Since this has caused very serious problems (major loss of e-mail and inability for people to log in all over the lab), I'm filing this as high priority.

Version-Release number of selected component (if applicable):
ypserv-2.13-7

How reproducible:
Sometimes

Steps to Reproduce:
1.Boot up an NIS server

Actual Results:  ypserv sometimes doesn't come up

Expected Results:  ideally there should be a way to tell the system to not continue the boot up if that happens, but really, it shouldn't happen

Additional info:

Comment 1 Alexandre Oliva 2005-09-02 20:22:15 UTC
This morning, nfs mountd failed to come up, for identical reasons.  He's what
the logs have to say:

Sep  2 06:39:43 emilia rpc.mountd: unable to register (mountd, 1, udp).
Sep  2 06:39:43 emilia portmap[17839]: connect from 127.0.0.1 to set(mountd):
request from unprivileged port

I doubt this is a problem in portmap.  Could it be something wrong in glibc's
privileged port binding request, or in the client side of portmap registration
or something like that?

Comment 2 Steve Dickson 2005-09-06 10:55:32 UTC
Are a large number of NFS mounts happen at the same time?

Comment 3 Alexandre Oliva 2005-09-06 14:02:44 UTC
Certainly not at the time ypserv is started.  Not sure whether you mean client
or server mounts, so I'll answer both.  This is an NIS and NFS server used by
about a dozen other boxes, so when NFS starts up, it is possible that other
boxes are attempting to NFS mount from it, or to restore NFS mounts from before
the server's reboot.  It doesn't have any NFS mounts specified in /etc/fstab,
and it shouldn't need any external NFS servers to boot up, even though autofs
will mount from external servers on demand.  But that's after ypserv has
successfully started, since all external autofs mounts are specified in NIS maps.

Comment 4 Orion Poplawski 2006-01-11 17:36:43 UTC
Currently, I would say that rpc.mountd fails to start 90% of the time now for me.

Comment 5 Christian Iseli 2007-01-22 10:28:18 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 6 Orion Poplawski 2007-01-22 17:29:05 UTC
I think this was an SELinux issue that was fixed at least in FC5+.


Note You need to log in before you can comment on or make changes to this bug.